#
# spec file for package workman (Version 1.3.4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  xf86 xview xview-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslog sysvinit tar tcpd texinfo timezone unzip util-linux zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm xview xview-devel

Name:         workman
License:      GPL
Group:        Productivity/Multimedia/CD/Players
Provides:     WorkMan
Autoreqprov:  on
Version:      1.3.4
Release:      848
Summary:      CD player based on OpenLook
Source:       workman-%{version}.tar.bz2
Patch:        workman-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

# Imported from ~/.rpmmacros:
# SUSE Linux 10.0, Volker Kuhlmann <VolkerKuhlmann@gmx.de>

%description
Audio CD player based on OpenLook.



Authors:
--------
    Dirk Foersterling <milliByte@DeathsDoor.com>

%prep
%setup -q
%patch

%build
make -f Makefile.linux XLIBDIR=/usr/X11R6/%{_lib} LIBDIR=$OPENWINHOME/%_lib

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.linux "DESTDIR=$RPM_BUILD_ROOT" install 
make -f Makefile.linux "DESTDIR=$RPM_BUILD_ROOT" install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc DOCS HTML README *.doc
%dir /usr/openwin/lib
/usr/openwin/lib/help/
%dir /usr/openwin/bin
/usr/openwin/bin/workman
%dir /usr/openwin/man/man1
%dir /usr/openwin/man/man5
%doc /usr/openwin/man/man1/workman.1.gz
%doc /usr/openwin/man/man5/workmandb.5.gz

%changelog -n workman
* Tue Jan 03 2006 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- For SUSE 10.0
* Sun Nov 28 2004 - Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Package available from: http://volker.dnsalias.net/soft/
- For SuSE 9.2
  Recompile src.rpm from SuSE 9.1, however it doesn't start because it can't
  find 2 fonts:
    XView warning: Cannot load font '-b&h-lucida-medium-r-*-*-*-120-*-*-*-*-*-*' (Font package)
    XView warning: Cannot load font '-b&h-lucida-medium-r-normal-sans-*-120-*-*-*-*-*-*' (Font package)
  However it is available:
  > xlsfonts | grep lucida-medium-r | grep 120
    -b&h-lucida-medium-r-normal-sans-12-120-75-75-p-71-iso10646-1
    -b&h-lucida-medium-r-normal-sans-17-120-100-100-p-96-iso10646-1
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - kukuk@suse.de
- Add /usr/openwin/lib to filelist for lib64 archs
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directories to filelist
* Wed May 29 2002 - ro@suse.de
- build on lib64
* Fri Jan 11 2002 - cihlar@suse.cz
- use %%{_lib}
* Fri Nov 23 2001 - cihlar@suse.cz
- fixed install.man
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <xv32base> to <xview>
- changed neededforbuild <xv32dev> to <xview-devel>
* Fri Feb 09 2001 - cihlar@suse.cz
- compile with -D_GNU_SOURCE
* Thu Feb 08 2001 - ro@suse.de
- fixed group: X11/Applications/Multimedia
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Mon Nov 20 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright
* Tue May 23 2000 - cihlar@suse.cz
- fixed a security problem
* Thu May 18 2000 - cihlar@suse.cz
- Group sorted
* Mon Mar 20 2000 - cihlar@suse.cz
- added BuildRoot
- upgrade to version 1.3.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 01 1999 - ro@suse.de
- update to 1.3b
* Mon Sep 21 1998 - ro@suse.de
- include <sys/ustat.h> for glibc in plat_linux.c
